import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import axios from 'axios';
import ElementPlus from 'element-plus'
import 'element-plus/lib/theme-chalk/index.css'
import dataV from '@jiaminghi/data-view'
//import * as echarts from 'echarts';


//引入全局css
import "./assets/scss/global.scss"
//引入iconfont图标
import './assets/icon/iconfont.css'
const app = createApp(App)
//将axios挂在到Vue的原形对象上
app.config.globalProperties.$http = axios  //绑定实例
//请求基准路径的配置
axios.defaults.baseURL='https://localhost:5001/api';
//app.config.globalProperties.$echarts = echarts  //绑定实例
app.use(store).use(router).use(dataV).use(ElementPlus).mount('#app')