import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router'

const routes: Array<RouteRecordRaw> = [
  {
    path:'/',
    redirect:'/screen'
  },
  {
    path:'/login',
    name:'login',
    component: () =>
      import(/* webpackChunkName: "login" */ '../views/login/index.vue'),
  },
  {
    path: '/Index',
    name: 'Index',
    component: () => import(/* webpackChunkName: "index" */'../views/Index.vue'),
  },
  {
    path: '/screen',
    name: 'screen',
    component: () =>
      import(/* webpackChunkName: "screen" */ '../views/Screen/Screen.vue'),
  },
  {
    path:'/tmdId',
    name:'tmdId',
    component:()=>import(/* webpackChunkName: "tmdID" */'../views/Screen/tmdID.vue')
  },
  {
    path:'/hiteach',
    name:'hiteach',
    component:()=>import(/* webpackChunkName: "HITeach" */'../views/Screen/HITeach.vue')
  },
  {
    path:'/socrates',
    name:'socrates',
    component:()=>import(/* webpackChunkName: "Socrates" */'../views/Screen/Socrates.vue')
  },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes,
})

// 挂载路由导航守卫,to表示将要访问的路径，from表示从哪里来，next是下一个要做的操作 next('/login')强制跳转login
/*
router.beforeEach((to, from, next) => {
  //如果访问登陆页面
  if (to.path === '/login') return next()
  //获取token
  const tokenStr = window.sessionStorage.getItem('token')
  if (!tokenStr) return next({name:'login'})
  next()
})
*/
export default router
