using Microsoft.AspNetCore.Authentication.JwtBearer;
using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Formatters;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using Microsoft.Extensions.Logging;
using Microsoft.IdentityModel.Tokens;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VueCliMiddleware;

namespace BI
{
    public class Startup
    {
        public Startup(IConfiguration configuration)
        {
            Configuration = configuration;
        }
        public IConfiguration Configuration { get; }

        // This method gets called by the runtime. Use this method to add services to the container.
        public void ConfigureServices(IServiceCollection services)
        {
            services.AddControllers(setup=>
            {
                setup.ReturnHttpNotAcceptable = true;
                // ǰд
                setup.OutputFormatters.Add(new XmlDataContractSerializerOutputFormatter());//ĬjsonʽΪǰ.
                // setup.OutputFormatters.Insert(0, new XmlDataContractSerializerOutputFormatter());//ʱxmlʽڼǰ棬Ĭxmlʽ

            }).AddXmlDataContractSerializerFormatters();//֧xmlڵд
            services.AddAutoMapper(AppDomain.CurrentDomain.GetAssemblies());
            services.AddSpaStaticFiles(configuration =>
            {
                configuration.RootPath = "ClientApp";
            });
            services.AddAuthentication(JwtBearerDefaults.AuthenticationScheme)
                .AddJwtBearer(opts =>
                {
                    opts.TokenValidationParameters = new TokenValidationParameters()
                    {
                        ValidateIssuer = true,
                        ValidateAudience = true,
                        ValidateLifetime = true,  //Ƿ֤ʱ  expnbfʱЧ 
                        ValidateIssuerSigningKey = true,  ////Ƿ֤Կ
                        ValidAudience = "https://localhost:5001",//Audience
                        ValidIssuer = "https://localhost:5001",//Issuer͵½ʱ䷢һ
                        IssuerSigningKey = new SymmetricSecurityKey(Encoding.UTF8.GetBytes("dhVbXOD61yXM22A3aZF9vaja5yt7zwCK")),     //õSecurityKey                                                                                                       //עǻʱ䣬ܵЧʱʱjwtĹʱ䣬ãĬ5
                        ClockSkew = TimeSpan.FromMinutes(5)   //֤tokenʱļʱ
                    };
                });
        }

        // This method gets called by the runtime. Use this method to configure the HTTP request pipeline.
        public void Configure(IApplicationBuilder app, IWebHostEnvironment env)
        {
            if (env.IsDevelopment())
            {
                app.UseDeveloperExceptionPage();
            }

            app.UseRouting();
            app.UseSpaStaticFiles();
            app.UseAuthentication();
            app.UseAuthorization();

            app.UseEndpoints(endpoints =>
            {
                endpoints.MapControllers();
            });

            //app.UseSpa(spa =>
            //{
            //    if (env.IsDevelopment())
            //        spa.Options.SourcePath = "ClientApp/";
            //    else
            //        spa.Options.SourcePath = "dist";

            //    if (env.IsDevelopment())
            //    {
            //        spa.UseVueCli(npmScript: "serve");
            //    }

            //});
        }
    }
}
